Load a Configuration for a Targeted Device

get

/rest/{versionId}/configuration/devices/{deviceId}/load-config

Use this (GET) method to start a provisioning (configuration modification) session. This method ensures that the targeted device configuration in the OSDMC database is synchronized with the configuration on the device. A new targeted device must be provisioned before any work begins to prevent any configuration with a create, read, update, destroy (CRUD) operation from failing to load.

Request

Path Parameters
Back to Top

Response

200 Response

Loaded the device successfully.

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user does not have permission for the attempted action.

404 Response

The object (resource URI, device, and so on) of your input request cannot be found.

409 Response

The device is of ME Product Type. It cannot be loaded.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to load a Configuration for a Targeted Device.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices/<deviceId>/load-config"

The following example shows how to use Python to load a Configuration for a Targeted Device.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices/<deviceId>/load-config"
resp = requests.get(url, headers=headers)

Note:

Use the Get a List of Devices Associated with Config Manager API to find the deviceId parameter.

Example of the Response Body

The following example shows the contents of the response body.

{
  "bootstrapState": "Activated",
  "connectivityStatus": true,
  "id": "4",
  "ip": "192.0.2.10",
  "key": "OSDMC-vECB-9_192.0.2.10",
  "manageable": true,
  "name": "OSDMC-vECB-9",
  "nfId": "44",
  "nfName": "ecb9",
  "parentGroupId": "44",
  "platformInfo": {
    "platform": "NNOSVM",
    "timeZoneInfo": ""
  },
  "siteId": "1",
  "softwareInfo": {
    "configVersion": "59",
    "version": "PCZ410p5"
  },
  "loadedConfigVersion": "59",
  "pendingChanges": "0"
}
Back to Top